Foreman - Bug #4884

link to gravatar image in a header have "https:///" instead of "https://"
03/26/2014 05:53 PM - Bryan Kearney

Status: Closed

Priority: Normal

Assignee: Bryan Kearney

Category: Web Interface

Target version: 1.5.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1003520 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1003520

Description of problem:

When | log-in using Opera browser, | do not see gravatar image close to my username in upper right corner of the screen. In Firefox,
all is OK.

Version-Release number of selected component (if applicable):
SAM 1.3 snapshot #4

How reproducible:
always

Steps to Reproduce:
1. Login to SAM, check your icon at upper right corner.

Actual results:
No icon there - HTML code looks like this:
<img src="https:///secure.gravatar.com/avatar/7ab3e0303edd4e2d550b8905df183d6f?d=mm&s=25&quot; class="gravatar"/>

Expected results:
<img src="https://secure.gravatar.com/avatar/7ab3e0303edd4e2d55008905df183d6f?d=mm&s=25&quot; class="gravatar"/>

Additional info:
Looks like Firefox handles these three "/", but Opera not.

Associated revisions

Revision ae095693 - 03/27/2014 07:16 AM - Bryan Kearney

Fixes #4884 : remove duplicate slashes from the gravatar url

The issue is that request.protocol returns http:// instead of http. The code assumed no trailing slashes

History

#1 - 03/26/2014 06:14 PM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Ready For Testing
- Assignee set to Bryan Kearney

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1329

#2 - 03/27/2014 07:31 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1003520
https://projects.theforeman.org/issues/4
https:///secure.gravatar.com/avatar/7ab3e0303edd4e2d550b8905df183d6f?d=mm&s=25&quot;
https://secure.gravatar.com/avatar/7ab3e0303edd4e2d550b8905df183d6f?d=mm&s=25&quot;
http://%20instead
https://github.com/theforeman/foreman/pull/1329

Applied in changeset ae0956938db9d3a714386f15e206f0e4760ed4d1.

#3 - 03/27/2014 08:44 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 03/27/2014 10:29 AM - Dominic Cleal
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1003520
